<?php
/**
 * Class AddPreferencesDistribution
 * User: ThurData
 * Date: 2019-09-20
 * Time: 12:44
 * @package ThurData\Servers\KerioEmail\App\UI\Client\DistributionList\Sections
 */

namespace ThurData\Servers\KerioEmail\App\UI\Client\DistributionList\Sections;

use ThurData\Servers\KerioEmail\App\UI\Admin\Custom\Sections\FreeFieldsSection;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Select;
use ThurData\Servers\KerioEmail\Core\UI\Widget\Forms\Fields\Switcher;

class AddPreferencesDistribution extends FreeFieldsSection
{
    protected $id   = 'addPreferencesDistribution';
    protected $name = 'addPreferencesDistribution';

    public function initContent()
    {
        /**
         *
         */
        $this->addField(new Select('memberPosting'));

        $this->addField(new Select('nonMemberPosting'));

        $this->addField(new Switcher('sendErrorsToModerator'));

        $this->addField(new Select('replyEmailAddress'));

    }
}